;-------------------
; user32.dll 
;-------------------


;-------------------------
; Functions
;-------------------------
from_dll	user32.dll

import		BeginPaint 		[2]

import		ClientToScreen 		[2]
import		CreateWindowEx 		[12]	alias	CreateWindowExA
import		CloseClipboard

import		DefWindowProc 		[4]	alias	DefWindowProcA
import		DestroyWindow 		[1]
import		DispatchMessage 	[1]	alias	DispatchMessageA
import		DialogBoxParam 		[5]	alias	DialogBoxParamA
import		DialogBoxIndirectParam 	[5]	alias	DialogBoxIndirectParamA

import		EndPaint 		[2]
import		EndDialog 		[2]
import		EnableMenuItem 		[3]

import		FindWindow 		[2]	alias	FindWindowA

import		GetClientRect 		[2]
import		GetDC 			[1]
import		GetMessage 		[4]	alias	GetMessageA
import		GetAsyncKeyState 	[1]
import		GetScrollInfo 		[3]
import		GetSystemMetrics 	[1]

import		GetWindowRect 		[2]

import		InvalidateRect 		[3]

import		LoadCursor 		[2]	alias	LoadCursorA
import		LoadIcon 		[2]	alias	LoadIconA
import		LoadImage 		[6]	alias	LoadImageA
import		LoadMenu 		[2]	alias	LoadMenuA	
import		LoadMenuIndirect 	[1]	alias	LoadMenuIndirectA

import		MessageBox 		[4]	alias	MessageBoxA

import		OpenClipboard 		[1]
import		PostQuitMessage 	[1]
import		PeekMessage 		[5]	alias	PeekMessageA

import		RegisterClass 		[1]	alias	RegisterClassA
import		ReleaseDC 		[2]

import		SendDlgItemMessage	[5]	alias	SendDlgItemMessageA
import		SetTimer		[4]
import		ShowWindow		[2]
import		SetCursor		[1]
import		SetClipboardData	[2]
import		SetScrollInfo		[4]
import		SetScrollPos		[4]
import		SetScrollRange		[5]

import		SendMessage		[4] 	alias SendMessageA
import		SetWindowPos		[7]
import		SetMenu			[2]

import		TranslateMessage	[1]

import		UpdateWindow		[1]

import		wsprintfA cdecl				

;-------------------------
; Structures
;-------------------------

STRUC POINT
	x			dd	?
	y			dd	?
ENDS


STRUC RECT
	left			dd	?
	top			dd	?
	right			dd	?
	bottom			dd	?
ENDS


STRUC MSG
	hwnd			dd	?
	message			dd	?
	wParam			dd	?
	lParam			dd	?
	time			dd	?

	pt_x			dd	?
	pt_y			dd	?

	;pt			rs	POINT,1		; this form is preffered by Sol_Asm
	;pt			POINT	<?>		; this form is recognized by RadASM
ENDS


STRUC WNDCLASS
	style			dd	?
	wnd_proc_ptr		dd	?
	cls_extra		dd	?
	wnd_extra		dd	?
	instance_handle		dd	?
	icon_handle		dd	?
	cursor_handle		dd	?
	back_brush_handle	dd	?
	menu_name_ptr		dd	?
	class_name_ptr		dd	?
ENDS


struc SCROLLINFO
	cbSize		dd	?
	fMask		dd	?
	nMin		dd	?
	nMax		dd	?
	nPage		dd	?
	nPos 		dd	?
	nTrackPos	dd	?
ENDS


;-------------------------
; Equates
;-------------------------

; buttons
BN_CLICKED			equ	0

; Clipboard format
CF_TEXT				equ	1
CF_BITMAP			equ	2
CF_METAFILEPICT			equ	3
CF_SYLK				equ	4
CF_DIF				equ	5
CF_TIFF				equ	6
CF_OEMTEXT			equ	7
CF_DIB				equ	8
CF_PALETTE			equ	9
CF_PENDATA			equ	10
CF_RIFF				equ	11
CF_WAVE				equ	12
CF_UNICODETEXT			equ	13
CF_ENHMETAFILE			equ	14
CF_HDROP			equ	15
CF_LOCALE			equ	16


; listbox
LB_ADDSTRING			equ	180h
LB_INSERTSTRING			equ	181h

; combobox
CB_ADDSTRING			equ	143h


; Scroll info
SIF_RANGE			equ	0001h
SIF_PAGE			equ	0002h
SIF_POS				equ	0004h
SIF_DISABLENOSCROLL		equ	0008h
SIF_TRACKPOS			equ	0010h
SIF_ALL				equ	SIF_RANGE+SIF_PAGE+SIF_POS+SIF_TRACKPOS

; system commands
SC_SIZE				equ 0F000h
SC_MOVE				equ 0F010h
SC_MINIMIZE			equ 0F020h
SC_MAXIMIZE			equ 0F030h
SC_NEXTWINDOW			equ 0F040h
SC_PREVWINDOW			equ 0F050h
SC_CLOSE			equ 0F060h
SC_VSCROLL			equ 0F070h
SC_HSCROLL			equ 0F080h
SC_MOUSEMENU			equ 0F090h
SC_KEYMENU			equ 0F100h
SC_ARRANGE			equ 0F110h
SC_RESTORE			equ 0F120h
SC_TASKLIST			equ 0F130h
SC_SCREENSAVE			equ 0F140h
SC_HOTKEY			equ 0F150h
SC_ICON				equ SC_MINIMIZE
SC_ZOOM				equ SC_MAXIMIZE
SC_DEFAULT			equ 0F160h
SC_MONITORPOWER			equ 0F170h
SC_CONTEXTHELP			equ 0F180h
SC_SEPARATOR			equ 0F00Fh


;----------------------
; Window Styles
;----------------------
WS_OVERLAPPED			equ	0000_0000h

WS_MAXIMIZEBOX			equ	0001_0000h
WS_MINIMIZEBOX			equ	0002_0000h
WS_THICKFRAME			equ	0004_0000h
WS_SYSMENU			equ	0008_0000h

WS_HSCROLL			equ	0010_0000h
WS_VSCROLL			equ	0020_0000h
WS_DLGFRAME			equ	0040_0000h
WS_BORDER			equ	0080_0000h

WS_DISABLED			equ	0800_0000h
WS_CLIPSIBLINGS			equ	0400_0000h
WS_CLIPCHILDREN			equ	0200_0000h
WS_MAXIMIZE			equ	0100_0000h

WS_VISIBLE			equ	1000_0000h
WS_MINIMIZE			equ	2000_0000h
WS_CHILD			equ	4000_0000h
WS_POPUP			equ	8000_0000h

; style combinations
WS_CAPTION			equ	00C0_0000h

;----------------
; EX styles
;----------------
WS_EX_CLIENTEDGE		equ	0000_0200h


;----------------------
; Class Styles
;----------------------
CS_VREDRAW			equ	1h
CS_HREDRAW			equ	2h

CS_KEYCVTWINDOW			equ	0004H
CS_DBLCLKS			equ	0008h

CS_OWNDC			equ	0020h
CS_CLASSDC			equ	0040h
CS_PARENTDC			equ	0080h
CS_NOKEYCVT			equ	0100h
CS_SAVEBITS			equ	0800h
CS_NOCLOSE			equ	0200h
CS_BYTEALIGNCLIENT		equ	1000h
CS_BYTEALIGNWINDOW		equ	2000h
CS_GLOBALCLASS			equ	4000h    

CW_USEDEFAULT			equ	80000000h

;----------------------------
; ShowWindow() Commands
;----------------------------
SW_HIDE          	  	equ	0
SW_SHOWNORMAL			equ	1
SW_SHOWMINIMIZED		equ	2
SW_SHOWMAXIMIZED		equ	3
SW_MAXIMIZE			equ	3
SW_SHOWNOACTIVATE		equ	4
SW_SHOW				equ	5
SW_MINIMIZE			equ	6
SW_SHOWMINNOACTIVE		equ	7
SW_SHOWNA			equ	8
SW_RESTORE			equ	9

;----------------------
; Colors
;----------------------
COLOR_MENU			equ	4
COLOR_WINDOW			equ	5
COLOR_BTNFACE			equ	15
COLOR_BTNSHADOW			equ	16
COLOR_GRAYTEXT			equ	17
COLOR_BTNTEXT			equ	18
COLOR_3DDKSHADOW		equ	21


;----------------------
; Cursors
;----------------------
IDC_ARROW			equ	32512
IDC_IBEAM			equ	32513
IDC_WAIT			equ	32514
IDC_CROSS			equ	32515
IDC_UPARROW			equ	32516
IDC_SIZE			equ	32640
IDC_ICON			equ	32641
IDC_SIZENWSE			equ	32642
IDC_SIZENESW			equ	32643
IDC_SIZEWE			equ	32644
IDC_SIZENS			equ	32645
IDC_SIZEALL			equ	32646
IDC_NO				equ	32648
IDC_HAND			equ	32649
IDC_APPSTARTING			equ	32650
IDC_HELP			equ	32651

;-------------------------
; Icons
;-------------------------
IDI_APPLICATION			equ	32512
IDI_HAND			equ	32513
IDI_QUESTION			equ	32514
IDI_EXCLAMATION			equ	32515
IDI_ASTERISK			equ	32516
IDI_WINLOGO			equ	32517




MB_OK				equ	0
MB_OKCANCEL			equ	1h
MB_ABORTRETRYIGNORE		equ	2h
MB_YESNOCANCEL			equ	3h
MB_YESNO			equ	4h
MB_RETRYCANCEL			equ	5h
MB_ICONHAND			equ	10h
MB_ICONQUESTION			equ	20h
MB_ICONEXCLAMATION		equ	30h
MB_ICONASTERISK			equ	40h
MB_USERICON			equ	80h


MK_LBUTTON			equ	1h
MK_RBUTTON			equ	2h
MK_SHIFT			equ	4h
MK_CONTROL			equ	8h
MK_MBUTTON			equ	10h

;-----------------------
; system messages
;-----------------------
SM_CXSCREEN                          equ 0
SM_CYSCREEN                          equ 1
SM_CXVSCROLL                         equ 2
SM_CYHSCROLL                         equ 3
SM_CYCAPTION                         equ 4
SM_CXBORDER                          equ 5
SM_CYBORDER                          equ 6
SM_CXDLGFRAME                        equ 7
SM_CYDLGFRAME                        equ 8
SM_CYVTHUMB                          equ 9
SM_CXHTHUMB                          equ 10
SM_CXICON                            equ 11
SM_CYICON                            equ 12
SM_CXCURSOR                          equ 13
SM_CYCURSOR                          equ 14
SM_CYMENU                            equ 15
SM_CXFULLSCREEN                      equ 16
SM_CYFULLSCREEN                      equ 17
SM_CYKANJIWINDOW                     equ 18
SM_MOUSEPRESENT                      equ 19
SM_CYVSCROLL                         equ 20
SM_CXHSCROLL                         equ 21
SM_DEBUG                             equ 22
SM_SWAPBUTTON                        equ 23
SM_RESERVED1                         equ 24
SM_RESERVED2                         equ 25
SM_RESERVED3                         equ 26
SM_RESERVED4                         equ 27
SM_CXMIN                             equ 28
SM_CYMIN                             equ 29
SM_CXSIZE                            equ 30
SM_CYSIZE                            equ 31
SM_CXFRAME                           equ 32
SM_CYFRAME                           equ 33
SM_CXMINTRACK                        equ 34
SM_CYMINTRACK                        equ 35
SM_CXDOUBLECLK                       equ 36
SM_CYDOUBLECLK                       equ 37
SM_CXICONSPACING                     equ 38
SM_CYICONSPACING                     equ 39
SM_MENUDROPALIGNMENT                 equ 40
SM_PENWINDOWS                        equ 41
SM_DBCSENABLED                       equ 42
SM_CMOUSEBUTTONS                     equ 43
SM_CXFIXEDFRAME                      equ SM_CXDLGFRAME
SM_CYFIXEDFRAME                      equ SM_CYDLGFRAME
SM_CXSIZEFRAME                       equ SM_CXFRAME
SM_CYSIZEFRAME                       equ SM_CYFRAME
SM_SECURE                            equ 44
SM_CXEDGE                            equ 45
SM_CYEDGE                            equ 46
SM_CXMINSPACING                      equ 47
SM_CYMINSPACING                      equ 48
SM_CXSMICON                          equ 49
SM_CYSMICON                          equ 50
SM_CYSMCAPTION                       equ 51
SM_CXSMSIZE                          equ 52
SM_CYSMSIZE                          equ 53
SM_CXMENUSIZE                        equ 54
SM_CYMENUSIZE                        equ 55
SM_ARRANGE                           equ 56
SM_CXMINIMIZED                       equ 57
SM_CYMINIMIZED                       equ 58
SM_CXMAXTRACK                        equ 59
SM_CYMAXTRACK                        equ 60
SM_CXMAXIMIZED                       equ 61
SM_CYMAXIMIZED                       equ 62
SM_NETWORK                           equ 63
SM_CLEANBOOT                         equ 67
SM_CXDRAG                            equ 68
SM_CYDRAG                            equ 69
SM_SHOWSOUNDS                        equ 70
SM_CXMENUCHECK                       equ 71
SM_CYMENUCHECK                       equ 72
SM_SLOWMACHINE                       equ 73
SM_MIDEASTENABLED			equ 74
SM_MOUSEWHEELPRESENT    		equ 75
SM_CMETRICS				equ 75
SM_XVIRTUALSCREEN       		equ 76
SM_YVIRTUALSCREEN       		equ 77
SM_CXVIRTUALSCREEN      		equ 78
SM_CYVIRTUALSCREEN      		equ 79
SM_CMONITORS            		equ 80
SM_SAMEDISPLAYFORMAT			equ 81


;---------------------------------
; Window Messages
;---------------------------------
WM_STATE		equ	0000H
WM_NULL			equ	0000h
WM_CREATE		equ	0001h
WM_DESTROY		equ	0002h
WM_MOVE			equ	0003h
WM_SIZE			equ	0005h
WM_ACTIVATE		equ	0006h
WM_SETFOCUS		equ	0007h
WM_KILLFOCUS		equ	0008h
WM_ENABLE		equ	000Ah
WM_SETREDRAW		equ	000Bh
WM_SETTEXT		equ	000Ch
WM_GETTEXT		equ	000Dh
WM_GETTEXTLENGTH	equ	000Eh
WM_PAINT		equ	000Fh
WM_CLOSE		equ	0010h
WM_QUERYENDSESSION	equ	0011h
WM_QUIT			equ	0012h
WM_QUERYOPEN		equ	0013h
WM_ERASEBKGND		equ	0014h
WM_SYSCOLORCHANGE	equ	0015h
WM_ENDSESSION		equ	0016h
WM_SYSTEMERROR		equ	0017h
WM_SHOWWINDOW		equ	0018h
WM_CTLCOLOR		equ	0019h
WM_WININICHANGE		equ	001Ah
WM_DEVMODECHANGE	equ	001Bh
WM_ACTIVATEAPP		equ	001Ch
WM_FONTCHANGE		equ	001Dh
WM_TIMECHANGE		equ	001Eh
WM_CANCELMODE		equ	001Fh
WM_SETCURSOR		equ	0020h
WM_MOUSEACTIVATE	equ	0021h
WM_CHILDACTIVATE	equ	0022h
WM_QUEUESYNC		equ	0023h
WM_GETMINMAXINFO	equ	0024h
WM_PAINTICON		equ	0026h
WM_ICONERASEBKGND	equ	0027h
WM_NEXTDLGCTL		equ	0028h
WM_SPOOLERSTATUS	equ	002Ah
WM_DRAWITEM		equ	002Bh
WM_MEASUREITEM		equ	002Ch
WM_DELETEITEM		equ	002Dh
WM_VKEYTOITEM		equ	002Eh
WM_CHARTOITEM		equ	002Fh
WM_SETFONT		equ	0030h
WM_GETFONT		equ	0031h
WM_QUERYDRAGICON	equ	0037h
WM_COMPAREITEM		equ	0039h
WM_COMPACTING		equ	0041h
WM_COMMNOTIFY		equ	0044h
WM_WINDOWPOSCHANGING	equ	0046h
WM_WINDOWPOSCHANGED	equ	0047h
WM_POWER		equ	0048h

WM_NOTIFY		equ	004Eh

WM_NCCREATE         equ 0081h
WM_NCDESTROY        equ 0082h
WM_NCCALCSIZE       equ 0083h
WM_NCHITTEST        equ 0084h
WM_NCPAINT          equ 0085h
WM_NCACTIVATE       equ 0086h
WM_GETDLGCODE       equ 0087h
WM_NCMOUSEMOVE      equ 00A0h
WM_NCLBUTTONDOWN    equ 00A1h
WM_NCLBUTTONUP      equ 00A2h
WM_NCLBUTTONDBLCLK  equ 00A3h
WM_NCRBUTTONDOWN    equ 00A4h
WM_NCRBUTTONUP      equ 00A5h
WM_NCRBUTTONDBLCLK  equ 00A6h
WM_NCMBUTTONDOWN    equ 00A7h
WM_NCMBUTTONUP      equ 00A8h
WM_NCMBUTTONDBLCLK  equ 00A9h

WM_KEYFIRST         equ 0100h
WM_KEYDOWN          equ 0100h
WM_KEYUP            equ 0101h
WM_CHAR             equ 0102h
WM_DEADCHAR         equ 0103h
WM_SYSKEYDOWN       equ 0104h
WM_SYSKEYUP         equ 0105h
WM_SYSCHAR          equ 0106h
WM_SYSDEADCHAR      equ 0107h
WM_KEYLAST          equ 0108h

WM_INITDIALOG       equ 0110h
WM_COMMAND          equ 0111h
WM_SYSCOMMAND       equ 0112h
WM_TIMER            equ 0113h
WM_HSCROLL          equ 0114h
WM_VSCROLL          equ 0115h
WM_INITMENU         equ 0116h
WM_INITMENUPOPUP    equ 0117h
WM_MENUSELECT       equ 011Fh
WM_MENUCHAR         equ 0120h
WM_ENTERIDLE        equ 0121h


WM_MOUSEFIRST		equ	0200h
WM_MOUSEMOVE		equ	0200h
WM_LBUTTONDOWN		equ	0201h
WM_LBUTTONUP		equ	0202h
WM_LBUTTONDBLCLK	equ	0203h
WM_RBUTTONDOWN		equ	0204h
WM_RBUTTONUP		equ	0205h
WM_RBUTTONDBLCLK	equ	0206h
WM_MBUTTONDOWN		equ	0207h
WM_MBUTTONUP		equ	0208h
WM_MBUTTONDBLCLK	equ	0209h
WM_MOUSELAST		equ	0209h
WM_MOUSEWHEEL		equ	020Ah

WM_PARENTNOTIFY     equ 0210h
WM_MDICREATE        equ 0220h
WM_MDIDESTROY       equ 0221h
WM_MDIACTIVATE      equ 0222h
WM_MDIRESTORE       equ 0223h
WM_MDINEXT          equ 0224h
WM_MDIMAXIMIZE      equ 0225h
WM_MDITILE          equ 0226h
WM_MDICASCADE       equ 0227h
WM_MDIICONARRANGE   equ 0228h
WM_MDIGETACTIVE     equ 0229h
WM_MDISETMENU       equ 0230h
WM_DROPFILES        equ 0233h


WM_CUT              equ 0300h
WM_COPY             equ 0301h
WM_PASTE            equ 0302h
WM_CLEAR            equ 0303h
WM_UNDO             equ 0304h
WM_RENDERFORMAT     equ 0305h
WM_RENDERALLFORMATS equ 0306h
WM_DESTROYCLIPBOARD equ 0307h
WM_DRAWCLIPBOARD    equ 0308h
WM_PAINTCLIPBOARD   equ 0309h
WM_VSCROLLCLIPBOARD equ 030Ah
WM_SIZECLIPBOARD    equ 030Bh
WM_ASKCBFORMATNAME  equ 030Ch
WM_CHANGECBCHAIN    equ 030Dh
WM_HSCROLLCLIPBOARD equ 030Eh
WM_QUERYNEWPALETTE  equ 030Fh
WM_PALETTEISCHANGING equ 0310h
WM_PALETTECHANGED	equ	0311h

WM_PENWINFIRST		equ	0380h
WM_PENWINLAST		equ	038Fh

WM_COALESCE_FIRST	equ	0390h
WM_COALESCE_LAST	equ	039Fh

;---------------------------------------
;  private window messages start here
;---------------------------------------
WM_USER			equ	0400H


WHEEL_DELTA		equ	120

;---------------------------
; WM_MOUSEACTIVATE Return Codes
;---------------------------
MA_ACTIVATE		equ  1
MA_ACTIVATEANDEAT	equ  2
MA_NOACTIVATE		equ  3







HTERROR			equ -2
HTTRANSPARENT		equ -1
HTNOWHERE		equ 0
HTCLIENT		equ 1
HTCAPTION		equ 2
HTSYSMENU		equ 3
HTGROWBOX		equ 4
HTSIZE			equ HTGROWBOX
HTMENU			equ 5
HTHSCROLL		equ 6
HTVSCROLL		equ 7
HTMINBUTTON		equ 8
HTMAXBUTTON		equ 9
HTLEFT			equ 10
HTRIGHT			equ 11
HTTOP			equ 12
HTTOPLEFT		equ 13
HTTOPRIGHT		equ 14
HTBOTTOM		equ 15
HTBOTTOMLEFT		equ 16
HTBOTTOMRIGHT		equ 17
HTBORDER		equ 18
HTREDUCE		equ HTMINBUTTON
HTZOOM			equ HTMAXBUTTON
HTSIZEFIRST		equ HTLEFT
HTSIZELAST		equ HTBOTTOMRIGHT
HTOBJECT		equ 19
HTCLOSE			equ 20
HTHELP			equ 21

;---------------------------
; PeekMessage() Options
;---------------------------
PM_NOREMOVE    equ 0000h
PM_REMOVE      equ 0001h
PM_NOYIELD     equ 0002h


;---------------------------
; LoadImage
;---------------------------
LR_DEFAULTCOLOR 		equ 0
LR_MONOCHROME 			equ 1
LR_COLOR 			equ 2
LR_COPYRETURNORG 		equ 4
LR_COPYDELETEORG 		equ 8
LR_LOADFROMFILE 		equ 10h
LR_LOADTRANSPARENT 		equ 20h
LR_DEFAULTSIZE 			equ 40h
LR_VGACOLOR 			equ 80h
LR_LOADMAP3DCOLORS 		equ 1000h
LR_CREATEDIBSECTION 		equ 2000h
LR_COPYFROMRESOURCE 		equ 4000h
LR_SHARED			equ 8000h

IMAGE_BITMAP			equ 0
IMAGE_ICON			equ 1
IMAGE_CURSOR			equ 2
IMAGE_ENHMETAFILE		equ 3

;--------------------------------
; scroll bar styles
;--------------------------------
SBS_HORZ				equ 0
SBS_VERT				equ 1
SBS_TOPALIGN				equ 2h
SBS_LEFTALIGN				equ 2h
SBS_BOTTOMALIGN				equ 4h
SBS_RIGHTALIGN				equ 4h
SBS_SIZEBOXTOPLEFTALIGN			equ 2h
SBS_SIZEBOXBOTTOMRIGHTALIGN		equ 4h
SBS_SIZEBOX				equ 8h
SBS_SIZEGRIP				equ 10h

;--------------------------
; scroll bar type codes
;--------------------------
SB_HORZ				equ	0
SB_VERT				equ	1
SB_CTL				equ	2
SB_BOTH				equ	3

;---------------------------
; scroll bar messages
;---------------------------
SBM_SETPOS				equ 0E0h
SBM_GETPOS				equ 0E1h
SBM_SETRANGE				equ 0E2h
SBM_GETRANGE				equ 0E3h
SBM_ENABLE_ARROWS			equ 0E4h
SBM_SETRANGEREDRAW			equ 0E6h
SBM_SETSCROLLINFO			equ 0E9h
SBM_GETSCROLLINFO			equ 0EAh


;----------------------------------------------
; nscroll codes in a WM_VSCROLL or 
; WM_HSCROLL message
;----------------------------------------------
SB_LINEUP		equ 0
SB_LINELEFT		equ 0

SB_LINEDOWN		equ 1
SB_LINERIGHT		equ 1

SB_PAGEUP		equ 2
SB_PAGELEFT		equ 2

SB_PAGEDOWN		equ 3
SB_PAGERIGHT		equ 3

SB_THUMBPOSITION	equ 4
SB_THUMBTRACK		equ 5
SB_TOP			equ 6
SB_LEFT			equ 6
SB_BOTTOM		equ 7
SB_RIGHT		equ 7
SB_ENDSCROLL		equ 8

;---------------------------
; Size message commands
;---------------------------
SIZENORMAL       equ 0
SIZEICONIC       equ 1
SIZEFULLSCREEN   equ 2
SIZEZOOMSHOW     equ 3
SIZEZOOMHIDE     equ 4

;------------------------
; key codes
;------------------------
VK_BACK		equ	08h
VK_TAB		equ	09h
VK_RETURN	equ	0Dh

VK_SHIFT	EQU	10h
VK_CONTROL	EQU	11h
VK_MENU		equ	12h
VK_CAPITAL	equ	14h
VK_PAUSE	equ	13h

VK_ESCAPE	EQU	1Bh

VK_SPACE	equ	20h
VK_PRIOR	EQU	21h
VK_NEXT		EQU	22h
VK_END		equ	23h
VK_HOME		EQU	24h
VK_LEFT		EQU	25h
VK_UP		EQU	26h
VK_RIGHT	EQU	27h
VK_DOWN		EQU	28h

VK_INSERT	equ	2Dh
VK_DELETE	equ	2Eh

VK_MULTIPLY	equ	6Ah
VK_ADD		equ	6Bh
VK_SEPARATOR	equ	6Ch
VK_SUBSTRACT	equ	6Dh
VK_DECIMAL	equ	6Eh
VK_DIVIDE	equ	6Fh

VK_F1		EQU	70h
VK_F2		EQU	71h
VK_F3		EQU	72h
VK_F4		EQU	73h
VK_F5		EQU	74h
VK_F6		EQU	75h
VK_F7		EQU	76h
VK_F8		EQU	77h
VK_F9		EQU	78h
VK_F10		EQU	79h
VK_F11		EQU	7Ah
VK_F12		EQU	7Bh

VK_0		equ	30h
VK_1		equ	31h
VK_2		equ	32h
VK_3		equ	33h
VK_4		equ	34h
VK_5		equ	35h
VK_6		equ	36h
VK_7		equ	37h
VK_8		equ	38h
VK_9		equ	39h
;
VK_A		equ	41h
VK_B		equ	42h
VK_C		equ	43h
;
VK_D		equ	68
VK_E		equ	69
VK_F		equ	70
VK_G		equ	71
VK_H		equ	72
VK_I		equ	73
VK_J		equ	74
VK_K		equ	75
VK_L		equ	76
VK_M		equ	77
VK_N		equ	78
VK_O		equ	79
VK_P		equ	80
VK_Q		equ	81
VK_R		equ	82
VK_S		equ	83
VK_T		equ	84
VK_U		equ	85
VK_V		equ	86
VK_W		equ	87
VK_X		equ	88
VK_Y		equ	89
VK_Z		equ	90





